EclipseFeature
Date: 2013-01-10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ivy.osgi.updatesite.xml
Class EclipseFeature

    java.lang.Object
      org.apache.ivy.osgi.updatesite.xml.EclipseFeature

    public class EclipseFeature

extends java.lang.Object

Constructor Summary
`EclipseFeature(java.lang.String id, Version version)`

Method Summary
`void` | `addCategory(java.lang.String name)`
`void` | `addPlugin(EclipsePlugin plugin)`
`void` | `addRequire(Require require)`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getId()`
`java.lang.String` | `getLicense()`
`java.util.List` | `getPlugins()`
`java.util.List` | `getRequires()`
`java.lang.String` | `getUrl()`
`Version` | `getVersion()`
`void` | `setApplication(java.lang.String value)`
`void` | `setArch(java.lang.String arch)`
`void` | `setColocationAffinity(java.lang.String value)`
`void` | `setCopyright(java.lang.String trim)`
`void` | `setDescription(java.lang.String description)`
`void` | `setExclusive(boolean booleanValue)`
`void` | `setImage(java.lang.String value)`
`void` | `setLabel(java.lang.String label)`
`void` | `setLicense(java.lang.String license)`
`void` | `setNL(java.lang.String nl)`
`void` | `setOS(java.lang.String os)`
`void` | `setPatch(java.lang.String patch)`
`void` | `setPlugin(java.lang.String value)`
`void` | `setPrimary(boolean booleanValue)`
`void` | `setProviderName(java.lang.String value)`
`void` | `setType(java.lang.String type)`
`void` | `setURL(java.lang.String url)`
`void` | `setWS(java.lang.String ws)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EclipseFeature

    public EclipseFeature(java.lang.String id,
                          Version version)

Method Detail

### setURL

    public void setURL(java.lang.String url)

### getUrl

    public java.lang.String getUrl()

### setType

    public void setType(java.lang.String type)

### getId

    public java.lang.String getId()

### getVersion

    public Version getVersion()

### setLabel

    public void setLabel(java.lang.String label)

### setOS

    public void setOS(java.lang.String os)

### setWS

    public void setWS(java.lang.String ws)

### setNL

    public void setNL(java.lang.String nl)

### setArch

    public void setArch(java.lang.String arch)

### setPatch

    public void setPatch(java.lang.String patch)

### addCategory

    public void addCategory(java.lang.String name)

### setDescription

    public void setDescription(java.lang.String description)

### getDescription

    public java.lang.String getDescription()

### setCopyright

    public void setCopyright(java.lang.String trim)

### setLicense

    public void setLicense(java.lang.String license)

### getLicense

    public java.lang.String getLicense()

### addPlugin

    public void addPlugin(EclipsePlugin plugin)

### getPlugins

    public java.util.List getPlugins()

### addRequire

    public void addRequire(Require require)

### getRequires

    public java.util.List getRequires()

### setApplication

    public void setApplication(java.lang.String value)

### setPlugin

    public void setPlugin(java.lang.String value)

### setExclusive

    public void setExclusive(boolean booleanValue)

### setPrimary

    public void setPrimary(boolean booleanValue)

### setColocationAffinity

    public void setColocationAffinity(java.lang.String value)

### setProviderName

    public void setProviderName(java.lang.String value)

### setImage

    public void setImage(java.lang.String value)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD